# Short version of all programming languages.
#
# Defines all Languages known to GitHub.
#
# type                  - Either data, programming, markup, prose, or nil
# extensions            - An Array of associated extensions (the first one is
#                         considered the primary extension, the others should be
#                         listed alphabetically)
# color                 - CSS hex color to represent the language.
#
# Please keep this list alphabetized. Capitalization comes before lowercase.

---
1C Enterprise:
  type: programming
  color: "#814CCC"
  extensions:
  - ".bsl"
  - ".os"
ABAP:
  type: programming
  color: "#E8274B"
  extensions:
  - ".abap"
AGS Script:
  type: programming
  color: "#B9D9FF"
  extensions:
  - ".asc"
  - ".ash"
AMPL:
  type: programming
  color: "#E6EFBB"
  extensions:
  - ".ampl"
  - ".mod"
ANTLR:
  type: programming
  color: "#9DC3FF"
  extensions:
  - ".g4"
API Blueprint:
  type: markup
  color: "#2ACCA8"
  extensions:
  - ".apib"
APL:
  type: programming
  color: "#5A8164"
  extensions:
  - ".apl"
  - ".dyalog"
ASP:
  type: programming
  color: "#6a40fd"
  extensions:
  - ".asp"
  - ".asax"
  - ".ascx"
  - ".ashx"
  - ".asmx"
  - ".aspx"
  - ".axd"
ATS:
  type: programming
  color: "#1ac620"
  extensions:
  - ".dats"
  - ".hats"
  - ".sats"
ActionScript:
  type: programming
  color: "#882B0F"
  extensions:
  - ".as"
Ada:
  type: programming
  color: "#02f88c"
  extensions:
  - ".adb"
  - ".ada"
  - ".ads"
Agda:
  type: programming
  color: "#315665"
  extensions:
  - ".agda"
Alloy:
  type: programming
  color: "#64C800"
  extensions:
  - ".als"
AngelScript:
  type: programming
  color: "#C7D7DC"
  extensions:
  - ".as"
  - ".angelscript"
Arc:
  type: programming
  color: "#aa2afe"
  extensions:
  - ".arc"
AspectJ:
  type: programming
  color: "#a957b0"
  extensions:
  - ".aj"
Assembly:
  type: programming
  color: "#6E4C13"
  extensions:
  - ".asm"
  - ".a51"
  - ".i"
  - ".inc"
  - ".nasm"
Asymptote:
  type: programming
  color: "#4a0c0c"
  extensions:
  - ".asy"
AutoHotkey:
  type: programming
  color: "#6594b9"
  extensions:
  - ".ahk"
  - ".ahkl"
AutoIt:
  type: programming
  color: "#1C3552"
  extensions:
  - ".au3"
Ballerina:
  type: programming
  color: "#FF5000"
  extensions:
  - ".bal"
Batchfile:
  type: programming
  color: "#C1F12E"
  extensions:
  - ".bat"
  - ".cmd"
BlitzMax:
  type: programming
  color: "#cd6400"
  extensions:
  - ".bmx"
Boo:
  type: programming
  color: "#d4bec1"
  extensions:
  - ".boo"
Brainfuck:
  type: programming
  color: "#2F2530"
  extensions:
  - ".b"
  - ".bf"
C:
  type: programming
  color: "#555555"
  extensions:
  - ".c"
  - ".cats"
  - ".h"
  - ".idc"
C#:
  type: programming
  color: "#178600"
  extensions:
  - ".cs"
  - ".cake"
  - ".csx"
C++:
  type: programming
  color: "#f34b7d"
  extensions:
  - ".cpp"
  - ".c++"
  - ".cc"
  - ".cp"
  - ".cxx"
  - ".h"
  - ".h++"
  - ".hh"
  - ".hpp"
  - ".hxx"
  - ".inc"
  - ".inl"
  - ".ino"
  - ".ipp"
  - ".re"
  - ".tcc"
  - ".tpp"
CSS:
  type: markup
  color: "#563d7c"
  extensions:
  - ".css"
Ceylon:
  type: programming
  color: "#dfa535"
  extensions:
  - ".ceylon"
Chapel:
  type: programming
  color: "#8dc63f"
  extensions:
  - ".chpl"
Cirru:
  type: programming
  color: "#ccccff"
  extensions:
  - ".cirru"
Clarion:
  type: programming
  color: "#db901e"
  extensions:
  - ".clw"
Clean:
  type: programming
  color: "#3F85AF"
  extensions:
  - ".icl"
  - ".dcl"
Click:
  type: programming
  color: "#E4E6F3"
  extensions:
  - ".click"
Clojure:
  type: programming
  color: "#db5855"
  extensions:
  - ".clj"
  - ".boot"
  - ".cl2"
  - ".cljc"
  - ".cljs"
  - ".cljs.hl"
  - ".cljscm"
  - ".cljx"
  - ".hic"
  - ".edn"
  - ".wisp"
CoffeeScript:
  type: programming
  color: "#244776"
  extensions:
  - ".coffee"
  - "._coffee"
  - ".cake"
  - ".cjsx"
  - ".iced"
ColdFusion:
  type: programming
  color: "#ed2cd6"
  extensions:
  - ".cfm"
  - ".cfml"
Common Lisp:
  type: programming
  color: "#3fb68b"
  extensions:
  - ".lisp"
  - ".asd"
  - ".cl"
  - ".l"
  - ".lsp"
  - ".ny"
  - ".podsl"
  - ".sexp"
Common Workflow Language:
  type: programming
  color: "#B5314C"
  extensions:
  - ".cwl"
Component Pascal:
  type: programming
  color: "#B0CE4E"
  extensions:
  - ".cp"
  - ".cps"
Crystal:
  type: programming
  color: "#000100"
  extensions:
  - ".cr"
Cuda:
  type: programming
  color: "#3A4E3A"
  extensions:
  - ".cu"
  - ".cuh"
D:
  type: programming
  color: "#ba595e"
  extensions:
  - ".d"
  - ".di"
DM:
  type: programming
  color: "#447265"
  extensions:
  - ".dm"
Dart:
  type: programming
  color: "#00B4AB"
  extensions:
  - ".dart"
DataWeave:
  type: programming
  color: "#003a52"
  extensions:
  - ".dwl"
Dhall:
  type: programming
  color: "#dfafff"
  extensions:
  - ".dhall"
Dogescript:
  type: programming
  color: "#cca760"
  extensions:
  - ".djs"
Dylan:
  type: programming
  color: "#6c616e"
  extensions:
  - ".dylan"
  - ".dyl"
  - ".intr"
  - ".lid"
E:
  type: programming
  color: "#ccce35"
  extensions:
  - ".E"
ECL:
  type: programming
  color: "#8a1267"
  extensions:
  - ".ecl"
  - ".eclxml"
EQ:
  type: programming
  color: "#a78649"
  extensions:
  - ".eq"
Eiffel:
  type: programming
  color: "#946d57"
  extensions:
  - ".e"
Elixir:
  type: programming
  color: "#6e4a7e"
  extensions:
  - ".ex"
  - ".exs"
  - ".eex"
Elm:
  type: programming
  color: "#60B5CC"
  extensions:
  - ".elm"
Emacs Lisp:
  type: programming
  color: "#c065db"
  extensions:
  - ".el"
  - ".emacs"
  - ".emacs.desktop"
EmberScript:
  type: programming
  color: "#FFF4F3"
  extensions:
  - ".em"
  - ".emberscript"
Erlang:
  type: programming
  color: "#B83998"
  extensions:
  - ".erl"
  - ".app.src"
  - ".es"
  - ".escript"
  - ".hrl"
  - ".xrl"
  - ".yrl"
F#:
  type: programming
  color: "#b845fc"
  extensions:
  - ".fs"
  - ".fsi"
  - ".fsx"
F*:
  type: programming
  color: "#572e30"
  extensions:
  - ".fst"
FLUX:
  type: programming
  color: "#88ccff"
  extensions:
  - ".fx"
  - ".flux"
Factor:
  type: programming
  color: "#636746"
  extensions:
  - ".factor"
Fancy:
  type: programming
  color: "#7b9db4"
  extensions:
  - ".fy"
  - ".fancypack"
Fantom:
  type: programming
  color: "#14253c"
  extensions:
  - ".fan"
Faust:
  type: programming
  color: "#c37240"
  extensions:
  - ".dsp"
Forth:
  type: programming
  color: "#341708"
  extensions:
  - ".fth"
  - ".4th"
  - ".f"
  - ".for"
  - ".forth"
  - ".fr"
  - ".frt"
  - ".fs"
Fortran:
  type: programming
  color: "#4d41b1"
  extensions:
  - ".f90"
  - ".f"
  - ".f03"
  - ".f08"
  - ".f77"
  - ".f95"
  - ".for"
  - ".fpp"
FreeMarker:
  type: programming
  color: "#0050b2"
  extensions:
  - ".ftl"
Frege:
  type: programming
  color: "#00cafe"
  extensions:
  - ".fr"
G-code:
  type: programming
  color: "#D08CF2"
  extensions:
  - ".g"
  - ".cnc"
  - ".gco"
  - ".gcode"
GAML:
  type: programming
  color: "#FFC766"
  extensions:
  - ".gaml"
GDScript:
  type: programming
  color: "#355570"
  extensions:
  - ".gd"
Game Maker Language:
  type: programming
  color: "#71b417"
  extensions:
  - ".gml"
Genie:
  type: programming
  color: "#fb855d"
  extensions:
  - ".gs"
Gherkin:
  type: programming
  color: "#5B2063"
  extensions:
  - ".feature"
Glyph:
  type: programming
  color: "#c1ac7f"
  extensions:
  - ".glf"
Gnuplot:
  type: programming
  color: "#f0a9f0"
  extensions:
  - ".gp"
  - ".gnu"
  - ".gnuplot"
  - ".p"
  - ".plot"
  - ".plt"
Go:
  type: programming
  color: "#00ADD8"
  extensions:
  - ".go"
Golo:
  type: programming
  color: "#88562A"
  extensions:
  - ".golo"
Gosu:
  type: programming
  color: "#82937f"
  extensions:
  - ".gs"
  - ".gst"
  - ".gsx"
  - ".vark"
Grammatical Framework:
  type: programming
  color: "#79aa7a"
  extensions:
  - ".gf"
Groovy:
  type: programming
  color: "#e69f56"
  extensions:
  - ".groovy"
  - ".grt"
  - ".gtpl"
  - ".gvy"
HTML:
  type: markup
  color: "#e34c26"
  extensions:
  - ".html"
  - ".htm"
  - ".html.hl"
  - ".inc"
  - ".st"
  - ".xht"
  - ".xhtml"
Hack:
  type: programming
  color: "#878787"
  extensions:
  - ".hack"
  - ".hh"
  - ".hhi"
Harbour:
  type: programming
  color: "#0e60e3"
  extensions:
  - ".hb"
Haskell:
  type: programming
  color: "#5e5086"
  extensions:
  - ".hs"
  - ".hs-boot"
  - ".hsc"
Haxe:
  type: programming
  color: "#df7900"
  extensions:
  - ".hx"
  - ".hxsl"
HiveQL:
  type: programming
  color: "#dce200"
  extensions:
  - ".q"
  - ".hql"
HolyC:
  type: programming
  color: "#ffefaf"
  extensions:
  - ".hc"
Hy:
  type: programming
  color: "#7790B2"
  extensions:
  - ".hy"
IDL:
  type: programming
  color: "#a3522f"
  extensions:
  - ".pro"
  - ".dlm"
IGOR Pro:
  type: programming
  color: "#0000cc"
  extensions:
  - ".ipf"
Idris:
  type: programming
  color: "#b30000"
  extensions:
  - ".idr"
  - ".lidr"
Io:
  type: programming
  color: "#a9188d"
  extensions:
  - ".io"
Ioke:
  type: programming
  color: "#078193"
  extensions:
  - ".ik"
Isabelle:
  type: programming
  color: "#FEFE00"
  extensions:
  - ".thy"
J:
  type: programming
  color: "#9EEDFF"
  extensions:
  - ".ijs"
Java:
  type: programming
  color: "#b07219"
  extensions:
  - ".java"
JavaScript:
  type: programming
  color: "#f1e05a"
  extensions:
  - ".js"
  - "._js"
  - ".bones"
  - ".cjs"
  - ".es"
  - ".es6"
  - ".frag"
  - ".gs"
  - ".jake"
  - ".jsb"
  - ".jscad"
  - ".jsfl"
  - ".jsm"
  - ".jss"
  - ".mjs"
  - ".njs"
  - ".pac"
  - ".sjs"
  - ".ssjs"
  - ".xsjs"
  - ".xsjslib"
Jolie:
  type: programming
  color: "#843179"
  extensions:
  - ".ol"
  - ".iol"
Jsonnet:
  type: programming
  color: "#0064bd"
  extensions:
  - ".jsonnet"
  - ".libsonnet"
Julia:
  type: programming
  color: "#a270ba"
  extensions:
  - ".jl"
Jupyter Notebook:
  type: markup
  color: "#DA5B0B"
  extensions:
  - ".ipynb"
KRL:
  type: programming
  color: "#28430A"
  extensions:
  - ".krl"
Kotlin:
  type: programming
  color: "#F18E33"
  extensions:
  - ".kt"
  - ".ktm"
  - ".kts"
LFE:
  type: programming
  color: "#4C3023"
  extensions:
  - ".lfe"
LLVM:
  type: programming
  color: "#185619"
  extensions:
  - ".ll"
LOLCODE:
  type: programming
  color: "#cc9900"
  extensions:
  - ".lol"
LSL:
  type: programming
  color: "#3d9970"
  extensions:
  - ".lsl"
  - ".lslp"
Lasso:
  type: programming
  color: "#999999"
  extensions:
  - ".lasso"
  - ".las"
  - ".lasso8"
  - ".lasso9"
Lex:
  type: programming
  color: "#DBCA00"
  extensions:
  - ".l"
  - ".lex"
LiveScript:
  type: programming
  color: "#499886"
  extensions:
  - ".ls"
  - "._ls"
LookML:
  type: programming
  color: "#652B81"
  extensions:
  - ".lookml"
  - ".model.lkml"
  - ".view.lkml"
Lua:
  type: programming
  color: "#000080"
  extensions:
  - ".lua"
  - ".fcgi"
  - ".nse"
  - ".p8"
  - ".pd_lua"
  - ".rbxs"
  - ".rockspec"
  - ".wlua"
MATLAB:
  type: programming
  color: "#e16737"
  extensions:
  - ".matlab"
  - ".m"
MAXScript:
  type: programming
  color: "#00a6a6"
  extensions:
  - ".ms"
  - ".mcr"
MLIR:
  type: programming
  color: "#5EC8DB"
  extensions:
  - ".mlir"
MQL4:
  type: programming
  color: "#62A8D6"
  extensions:
  - ".mq4"
  - ".mqh"
MQL5:
  type: programming
  color: "#4A76B8"
  extensions:
  - ".mq5"
  - ".mqh"
MTML:
  type: markup
  color: "#b7e1f4"
  extensions:
  - ".mtml"
Makefile:
  type: programming
  color: "#427819"
  extensions:
  - ".mak"
  - ".d"
  - ".make"
  - ".mk"
  - ".mkfile"
Mask:
  type: markup
  color: "#f97732"
  extensions:
  - ".mask"
Max:
  type: programming
  color: "#c4a79c"
  extensions:
  - ".maxpat"
  - ".maxhelp"
  - ".maxproj"
  - ".mxt"
  - ".pat"
Mercury:
  type: programming
  color: "#ff2b2b"
  extensions:
  - ".m"
  - ".moo"
Metal:
  type: programming
  color: "#8f14e9"
  extensions:
  - ".metal"
Mirah:
  type: programming
  color: "#c7a938"
  extensions:
  - ".druby"
  - ".duby"
  - ".mirah"
Modula-3:
  type: programming
  color: "#223388"
  extensions:
  - ".i3"
  - ".ig"
  - ".m3"
  - ".mg"
NCL:
  type: programming
  color: "#28431f"
  extensions:
  - ".ncl"
Nearley:
  type: programming
  color: "#990000"
  extensions:
  - ".ne"
  - ".nearley"
Nemerle:
  type: programming
  color: "#3d3c6e"
  extensions:
  - ".n"
NetLinx:
  type: programming
  color: "#0aa0ff"
  extensions:
  - ".axs"
  - ".axi"
NetLinx+ERB:
  type: programming
  color: "#747faa"
  extensions:
  - ".axs.erb"
  - ".axi.erb"
NetLogo:
  type: programming
  color: "#ff6375"
  extensions:
  - ".nlogo"
NewLisp:
  type: programming
  color: "#87AED7"
  extensions:
  - ".nl"
  - ".lisp"
  - ".lsp"
Nextflow:
  type: programming
  color: "#3ac486"
  extensions:
  - ".nf"
Nim:
  type: programming
  color: "#37775b"
  extensions:
  - ".nim"
  - ".nim.cfg"
  - ".nimble"
  - ".nimrod"
  - ".nims"
Nit:
  type: programming
  color: "#009917"
  extensions:
  - ".nit"
Nix:
  type: programming
  color: "#7e7eff"
  extensions:
  - ".nix"
Nu:
  type: programming
  color: "#c9df40"
  extensions:
  - ".nu"
OCaml:
  type: programming
  color: "#3be133"
  extensions:
  - ".ml"
  - ".eliom"
  - ".eliomi"
  - ".ml4"
  - ".mli"
  - ".mll"
  - ".mly"
ObjectScript:
  type: programming
  color: "#424893"
  extensions:
  - ".cls"
Objective-C:
  type: programming
  color: "#438eff"
  extensions:
  - ".m"
  - ".h"
Objective-C++:
  type: programming
  color: "#6866fb"
  extensions:
  - ".mm"
Objective-J:
  type: programming
  color: "#ff0c5a"
  extensions:
  - ".j"
  - ".sj"
Odin:
  type: programming
  color: "#60AFFE"
  extensions:
  - ".odin"
Omgrofl:
  type: programming
  color: "#cabbff"
  extensions:
  - ".omgrofl"
Opal:
  type: programming
  color: "#f7ede0"
  extensions:
  - ".opal"
OpenQASM:
  type: programming
  color: "#AA70FF"
  extensions:
  - ".qasm"
Oxygene:
  type: programming
  color: "#cdd0e3"
  extensions:
  - ".oxygene"
Oz:
  type: programming
  color: "#fab738"
  extensions:
  - ".oz"
P4:
  type: programming
  color: "#7055b5"
  extensions:
  - ".p4"
PHP:
  type: programming
  color: "#4F5D95"
  extensions:
  - ".php"
  - ".aw"
  - ".ctp"
  - ".fcgi"
  - ".inc"
  - ".php3"
  - ".php4"
  - ".php5"
  - ".phps"
  - ".phpt"
  - ".cshtml"
  - ".razor"
PLSQL:
  type: programming
  color: "#dad8d8"
  extensions:
  - ".pls"
  - ".bdy"
  - ".ddl"
  - ".fnc"
  - ".pck"
  - ".pkb"
  - ".pks"
  - ".plb"
  - ".plsql"
  - ".prc"
  - ".spc"
  - ".sql"
  - ".tpb"
  - ".tps"
  - ".trg"
  - ".vw"
Pan:
  type: programming
  color: "#cc0000"
  extensions:
  - ".pan"
Papyrus:
  type: programming
  color: "#6600cc"
  extensions:
  - ".psc"
Parrot:
  type: programming
  color: "#f3ca0a"
  extensions:
  - ".parrot"
Pascal:
  type: programming
  color: "#E3F171"
  extensions:
  - ".pas"
  - ".dfm"
  - ".dpr"
  - ".inc"
  - ".lpr"
  - ".pascal"
  - ".pp"
Pawn:
  type: programming
  color: "#dbb284"
  extensions:
  - ".pwn"
  - ".inc"
  - ".sma"
Pep8:
  type: programming
  color: "#C76F5B"
  extensions:
  - ".pep"
Perl:
  type: programming
  color: "#0298c3"
  extensions:
  - ".pl"
  - ".al"
  - ".cgi"
  - ".fcgi"
  - ".perl"
  - ".ph"
  - ".plx"
  - ".pm"
  - ".psgi"
  - ".t"
PigLatin:
  type: programming
  color: "#fcd7de"
  extensions:
  - ".pig"
Pike:
  type: programming
  color: "#005390"
  extensions:
  - ".pike"
  - ".pmod"
PogoScript:
  type: programming
  color: "#d80074"
  extensions:
  - ".pogo"
PostScript:
  type: markup
  color: "#da291c"
  extensions:
  - ".ps"
  - ".eps"
  - ".epsi"
  - ".pfa"
PowerBuilder:
  type: programming
  color: "#8f0f8d"
  extensions:
  - ".pbt"
  - ".sra"
  - ".sru"
  - ".srw"
PowerShell:
  type: programming
  color: "#012456"
  extensions:
  - ".ps1"
  - ".psd1"
  - ".psm1"
Processing:
  type: programming
  color: "#0096D8"
  extensions:
  - ".pde"
Prolog:
  type: programming
  color: "#74283c"
  extensions:
  - ".pl"
  - ".pro"
  - ".prolog"
  - ".yap"
Propeller Spin:
  type: programming
  color: "#7fa2a7"
  extensions:
  - ".spin"
Puppet:
  type: programming
  color: "#302B6D"
  extensions:
  - ".pp"
PureBasic:
  type: programming
  color: "#5a6986"
  extensions:
  - ".pb"
  - ".pbi"
PureScript:
  type: programming
  color: "#1D222D"
  extensions:
  - ".purs"
Python:
  type: programming
  color: "#3572A5"
  extensions:
  - ".py"
  - ".cgi"
  - ".fcgi"
  - ".gyp"
  - ".gypi"
  - ".lmi"
  - ".py3"
  - ".pyde"
  - ".pyi"
  - ".pyp"
  - ".pyt"
  - ".pyw"
  - ".rpy"
  - ".smk"
  - ".spec"
  - ".tac"
  - ".wsgi"
  - ".xpy"
  - ".jinja"
  - ".jinja2"
  - ".mustache"
  - ".njk"
  - ".pytb"
QML:
  type: programming
  color: "#44a51c"
  extensions:
  - ".qml"
  - ".qbs"
R:
  type: programming
  color: "#198CE7"
  extensions:
  - ".r"
  - ".rd"
  - ".rsx"
RAML:
  type: markup
  color: "#77d9fb"
  extensions:
  - ".raml"
RUNOFF:
  type: markup
  color: "#665a4e"
  extensions:
  - ".rnh"
  - ".rno"
Racket:
  type: programming
  color: "#3c5caa"
  extensions:
  - ".rkt"
  - ".rktd"
  - ".rktl"
  - ".scrbl"
Ragel:
  type: programming
  color: "#9d5200"
  extensions:
  - ".rl"
Raku:
  type: programming
  color: "#0000fb"
  extensions:
  - ".6pl"
  - ".6pm"
  - ".nqp"
  - ".p6"
  - ".p6l"
  - ".p6m"
  - ".pl"
  - ".pl6"
  - ".pm"
  - ".pm6"
  - ".t"
Rascal:
  type: programming
  color: "#fffaa0"
  extensions:
  - ".rsc"
Reason:
  type: programming
  color: "#ff5847"
  extensions:
  - ".re"
  - ".rei"
Rebol:
  type: programming
  color: "#358a5b"
  extensions:
  - ".reb"
  - ".r"
  - ".r2"
  - ".r3"
  - ".rebol"
Red:
  type: programming
  color: "#f50000"
  extensions:
  - ".red"
  - ".reds"
Ren'Py:
  type: programming
  color: "#ff7f7f"
  extensions:
  - ".rpy"
Ring:
  type: programming
  color: "#2D54CB"
  extensions:
  - ".ring"
Riot:
  type: markup
  color: "#A71E49"
  extensions:
  - ".riot"
Roff:
  type: markup
  color: "#ecdebe"
  extensions:
  - ".roff"
  - ".1"
  - ".1in"
  - ".1m"
  - ".1x"
  - ".2"
  - ".3"
  - ".3in"
  - ".3m"
  - ".3p"
  - ".3pm"
  - ".3qt"
  - ".3x"
  - ".4"
  - ".5"
  - ".6"
  - ".7"
  - ".8"
  - ".9"
  - ".l"
  - ".man"
  - ".mdoc"
  - ".me"
  - ".ms"
  - ".n"
  - ".nr"
  - ".rno"
  - ".tmac"
Rouge:
  type: programming
  color: "#cc0088"
  extensions:
  - ".rg"
Ruby:
  type: programming
  color: "#701516"
  extensions:
  - ".rb"
  - ".builder"
  - ".eye"
  - ".fcgi"
  - ".gemspec"
  - ".god"
  - ".jbuilder"
  - ".mspec"
  - ".pluginspec"
  - ".podspec"
  - ".rabl"
  - ".rake"
  - ".rbi"
  - ".rbuild"
  - ".rbw"
  - ".rbx"
  - ".ru"
  - ".ruby"
  - ".spec"
  - ".thor"
  - ".watchr"
  - ".erb"
  - ".erb.deface"
  - ".js.erb"
Rust:
  type: programming
  color: "#dea584"
  extensions:
  - ".rs"
  - ".rs.in"
SAS:
  type: programming
  color: "#B34936"
  extensions:
  - ".sas"
SQF:
  type: programming
  color: "#3F3F3F"
  extensions:
  - ".sqf"
  - ".hqf"
SRecode Template:
  type: markup
  color: "#348a34"
  extensions:
  - ".srt"
SaltStack:
  type: programming
  color: "#646464"
  extensions:
  - ".sls"
Scala:
  type: programming
  color: "#c22d40"
  extensions:
  - ".scala"
  - ".kojo"
  - ".sbt"
  - ".sc"
Scheme:
  type: programming
  color: "#1e4aec"
  extensions:
  - ".scm"
  - ".sch"
  - ".sld"
  - ".sls"
  - ".sps"
  - ".ss"
Self:
  type: programming
  color: "#0579aa"
  extensions:
  - ".self"
Shell:
  type: programming
  color: "#89e051"
  extensions:
  - ".sh"
  - ".bash"
  - ".bats"
  - ".cgi"
  - ".command"
  - ".fcgi"
  - ".ksh"
  - ".sh.in"
  - ".tmux"
  - ".tool"
  - ".zsh"
Shen:
  type: programming
  color: "#120F14"
  extensions:
  - ".shen"
Slash:
  type: programming
  color: "#007eff"
  extensions:
  - ".sl"
Slice:
  type: programming
  color: "#003fa2"
  extensions:
  - ".ice"
SmPL:
  type: programming
  color: "#c94949"
  extensions:
  - ".cocci"
Smalltalk:
  type: programming
  color: "#596706"
  extensions:
  - ".st"
  - ".cs"
SourcePawn:
  type: programming
  color: "#5c7611"
  extensions:
  - ".sp"
  - ".inc"
Squirrel:
  type: programming
  color: "#800000"
  extensions:
  - ".nut"
Stan:
  type: programming
  color: "#b2011d"
  extensions:
  - ".stan"
Standard ML:
  type: programming
  color: "#dc566d"
  extensions:
  - ".ML"
  - ".fun"
  - ".sig"
  - ".sml"
Starlark:
  type: programming
  color: "#76d275"
  extensions:
  - ".bzl"
SuperCollider:
  type: programming
  color: "#46390b"
  extensions:
  - ".sc"
  - ".scd"
Swift:
  type: programming
  color: "#ffac45"
  extensions:
  - ".swift"
SystemVerilog:
  type: programming
  color: "#DAE1C2"
  extensions:
  - ".sv"
  - ".svh"
  - ".vh"
TI Program:
  type: programming
  color: "#A0AA87"
  extensions:
  - ".8xp"
  - ".8xk"
  - ".8xk.txt"
  - ".8xp.txt"
Tcl:
  type: programming
  color: "#e4cc98"
  extensions:
  - ".tcl"
  - ".adp"
  - ".tm"
TeX:
  type: markup
  color: "#3D6117"
  extensions:
  - ".tex"
  - ".aux"
  - ".bbx"
  - ".cbx"
  - ".cls"
  - ".dtx"
  - ".ins"
  - ".lbx"
  - ".ltx"
  - ".mkii"
  - ".mkiv"
  - ".mkvi"
  - ".sty"
  - ".toc"
Terra:
  type: programming
  color: "#00004c"
  extensions:
  - ".t"
Turing:
  type: programming
  color: "#cf142b"
  extensions:
  - ".t"
  - ".tu"
TypeScript:
  type: programming
  color: "#2b7489"
  extensions:
  - ".ts"
Unity3D:
  type: data
  color: "#882233"
  extensions:
  - ".anim"
  - ".asset"
  - ".mask"
  - ".mat"
  - ".meta"
  - ".prefab"
  - ".unity"
UnrealScript:
  type: programming
  color: "#a54c4d"
  extensions:
  - ".uc"
V:
  type: programming
  color: "#5d87bd"
  extensions:
  - ".v"
VBA:
  type: programming
  color: "#867db1"
  extensions:
  - ".bas"
  - ".cls"
  - ".frm"
  - ".frx"
  - ".vba"
VBScript:
  type: programming
  color: "#15dcdc"
  extensions:
  - ".vbs"
VCL:
  type: programming
  color: "#148AA8"
  extensions:
  - ".vcl"
VHDL:
  type: programming
  color: "#adb2cb"
  extensions:
  - ".vhdl"
  - ".vhd"
  - ".vhf"
  - ".vhi"
  - ".vho"
  - ".vhs"
  - ".vht"
  - ".vhw"
Vala:
  type: programming
  color: "#fbe5cd"
  extensions:
  - ".vala"
  - ".vapi"
Verilog:
  type: programming
  color: "#b2b7f8"
  extensions:
  - ".v"
  - ".veo"
Vim script:
  type: programming
  color: "#199f4b"
  extensions:
  - ".vim"
  - ".vba"
  - ".vmb"
Visual Basic .NET:
  type: programming
  color: "#945db7"
  extensions:
  - ".vb"
  - ".vbhtml"
Volt:
  type: programming
  color: "#1F1F1F"
  extensions:
  - ".volt"
Vue:
  type: markup
  color: "#2c3e50"
  extensions:
  - ".vue"
WebAssembly:
  type: programming
  color: "#04133b"
  extensions:
  - ".wast"
  - ".wat"
Wollok:
  type: programming
  color: "#a23738"
  extensions:
  - ".wlk"
X10:
  type: programming
  color: "#4B6BEF"
  extensions:
  - ".x10"
XC:
  type: programming
  color: "#99DA07"
  extensions:
  - ".xc"
XQuery:
  type: programming
  color: "#5232e7"
  extensions:
  - ".xquery"
  - ".xq"
  - ".xql"
  - ".xqm"
  - ".xqy"
XSLT:
  type: programming
  color: "#EB8CEB"
  extensions:
  - ".xslt"
  - ".xsl"
YARA:
  type: programming
  color: "#220000"
  extensions:
  - ".yar"
  - ".yara"
YASnippet:
  type: markup
  color: "#32AB90"
  extensions:
  - ".yasnippet"
Yacc:
  type: programming
  color: "#4B6C4B"
  extensions:
  - ".y"
  - ".yacc"
  - ".yy"
ZAP:
  type: programming
  color: "#0d665e"
  extensions:
  - ".zap"
  - ".xzap"
ZIL:
  type: programming
  color: "#dc75e5"
  extensions:
  - ".zil"
  - ".mud"
ZenScript:
  type: programming
  color: "#00BCD1"
  extensions:
  - ".zs"
Zephir:
  type: programming
  color: "#118f9e"
  extensions:
  - ".zep"
Zig:
  type: programming
  color: "#ec915c"
  extensions:
  - ".zig"
eC:
  type: programming
  color: "#913960"
  extensions:
  - ".ec"
  - ".eh"
mIRC Script:
  type: programming
  color: "#926059"
  extensions:
  - ".mrc"
mcfunction:
  type: programming
  color: "#E22837"
  extensions:
  - ".mcfunction"
nesC:
  type: programming
  color: "#94B0C7"
  extensions:
  - ".nc"
ooc:
  type: programming
  color: "#b0b77e"
  extensions:
  - ".ooc"
q:
  type: programming
  color: "#0040cd"
  extensions:
  - ".q"
sed:
  type: programming
  color: "#64b970"
  extensions:
  - ".sed"
wdl:
  type: programming
  color: "#42f1f4"
  extensions:
  - ".wdl"
xBase:
  type: programming
  color: "#403a40"
  extensions:
  - ".prg"
  - ".ch"
  - ".prw"
